Create or update an array of usage specifications

put

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/usageSpecifications

Creates or updates the supplied array of usage specifications in a single request.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 50
The usage specifications resource.
Show Source
Nested Schema : UsageSpecificationOracle
Title: UsageSpecificationOracle
Match All
Show Source
  • UsageSpecification
    Title: UsageSpecification
    Discriminator: { "propertyName":"@type", "mapping":{ "UsageSpecification":"#/components/schemas/UsageSpecification", "UsageSpecificationOracle":"#/components/schemas/UsageSpecificationOracle" } }
    The Usage Specification resource represents a set of usage characteristics and relationships.
  • type
Nested Schema : UsageSpecification
Type: object
Title: UsageSpecification
Discriminator: @type

Discriminator Values

The Usage Specification resource represents a set of usage characteristics and relationships.
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : meteringRule
Type: array
A list of metering rules associated with the usage specification.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : requestSpecification
Type: array
A list of request specifications associated with the usage specification.
Show Source
  • RequestSpecificationRefOracle
    Title: RequestSpecificationRefOracle
    A list of request level specification references (RequestSpecificationRef [*]). A list of request level specifications related to this usage specification, and which will need to be satisfiable for corresponding usage instances.
Nested Schema : MeteringRule
Type: object
Title: MeteringRule
The metering rule resource.
Show Source
Nested Schema : meteringExpression
Type: array
A list of metering expressions associated with the metering rule.
Show Source
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : MeteringExpression
Type: object
Title: MeteringExpression
The metering expression resource.
Show Source
Nested Schema : meteringExpressionRelationship
Type: object
A list of metering expression relationships associated with the metering expression.
Show Source
Nested Schema : value
A discrete value that the relationship can take on.
Match One Schema
Show Source
Nested Schema : MeteringExpressionRelationship
Type: object
Title: MeteringExpressionRelationship
The metering expression relationship resource.
Show Source
Nested Schema : value-oneOf[1]
Type: object
Nested Schema : RequestSpecificationRefOracle
Type: object
Title: RequestSpecificationRefOracle
A list of request level specification references (RequestSpecificationRef [*]). A list of request level specifications related to this usage specification, and which will need to be satisfiable for corresponding usage instances.
Show Source
Back to Top

Response

Supported Media Types

200 Response

The list of usage specifications was created or updated successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : UsageSpecificationOracle
Title: UsageSpecificationOracle
Match All
Show Source
  • UsageSpecification
    Title: UsageSpecification
    Discriminator: { "propertyName":"@type", "mapping":{ "UsageSpecification":"#/components/schemas/UsageSpecification", "UsageSpecificationOracle":"#/components/schemas/UsageSpecificationOracle" } }
    The Usage Specification resource represents a set of usage characteristics and relationships.
  • type
Nested Schema : UsageSpecification
Type: object
Title: UsageSpecification
Discriminator: @type

Discriminator Values

The Usage Specification resource represents a set of usage characteristics and relationships.
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : meteringRule
Type: array
A list of metering rules associated with the usage specification.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : requestSpecification
Type: array
A list of request specifications associated with the usage specification.
Show Source
  • RequestSpecificationRefOracle
    Title: RequestSpecificationRefOracle
    A list of request level specification references (RequestSpecificationRef [*]). A list of request level specifications related to this usage specification, and which will need to be satisfiable for corresponding usage instances.
Nested Schema : MeteringRule
Type: object
Title: MeteringRule
The metering rule resource.
Show Source
Nested Schema : meteringExpression
Type: array
A list of metering expressions associated with the metering rule.
Show Source
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : MeteringExpression
Type: object
Title: MeteringExpression
The metering expression resource.
Show Source
Nested Schema : meteringExpressionRelationship
Type: object
A list of metering expression relationships associated with the metering expression.
Show Source
Nested Schema : value
A discrete value that the relationship can take on.
Match One Schema
Show Source
Nested Schema : MeteringExpressionRelationship
Type: object
Title: MeteringExpressionRelationship
The metering expression relationship resource.
Show Source
Nested Schema : value-oneOf[1]
Type: object
Nested Schema : RequestSpecificationRefOracle
Type: object
Title: RequestSpecificationRefOracle
A list of request level specification references (RequestSpecificationRef [*]). A list of request level specifications related to this usage specification, and which will need to be satisfiable for corresponding usage instances.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to create or update an array of usage specification by submitting a put request on the REST resource using cURL.

cURL Command

curl -u username:password -X PUT https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/usageSpecifications

Example of Request Body

The following shows an example of the request body in JSON format.

[
    {
    "id": "UsageSpecTelcoGSM_Year2021_001",
    "name": "UsageSpecTelcoGSM_Year2021_001",
    "description": "Description of UsageSpecTelcoGSM update888",
    "version": "1.0",
    "lifecycleStatus": "In design",
    "@type": "UsageSpecificationOracle",
    "@baseType": "UsageSpecification",
    "validFor": {
        "startDateTime": "2020-01-18T00:00:00.000Z"
    },
      "project": {
              "id": "BulkDocProject",
        "name": "Bulk Doc Project"
    },
    "usageSpecCharacteristic": [
        {
            "name": "StartDateTime",
            "description": "StartDateTime",
            "valueType": "DATETIME",
            "extensible": true,
            "configurable": true,
            "isInvoiceable": true,
            "isUnique": true,
            "minCardinality": 0,
            "maxCardinality": 1,
            "isServiceId": true,
            "isTransient": true,
            "regex": "mrregex",
            "validFor": {
                "startDateTime": "2020-01-18T00:00:00.000Z",
                "endDateTime": "2021-02-20T16:42:23.000Z"
            }
        },
        {
            "name": "EndDateTime",
            "description": "EndDateTime",
            "valueType": "DATETIME",
            "extensible": true,
            "configurable": true,
            "isInvoiceable": true,
            "isUnique": true,
            "minCardinality": 0,
            "maxCardinality": 1,
            "isServiceId": true,
            "isTransient": true,
            "regex": "mrregex",
            "validFor": {
                "startDateTime": "2020-01-18T00:00:00.000Z",
                "endDateTime": "2021-02-20T16:42:23.000Z"
            }
        },
         {
            "name": "ServiceID",
            "description": "ServiceID",
            "valueType": "STRING",
            "extensible": true,
            "configurable": true,
            "isInvoiceable": true,
            "isUnique": true,
            "minCardinality": 0,
            "maxCardinality": 1,
            "isServiceId": true,
            "isTransient": true,
            "regex": "mrregex",
            "validFor": {
                "startDateTime": "2020-01-18T00:00:00.000Z",
                "endDateTime": "2021-02-20T16:42:23.000Z"
            }
        }
    ],
         "meteringRule": [
        {
            "id": "TestMeteringRule48",
            "name": "TestMeteringRule48",
            "description": "TestMeteringRule483242 update",
            "roundingMethod": "UP",
            "unitOfMeasure": "MINUTES",
            "stringExpression": "endt-startt/1000"
        }
    ] 
},
{
    "id": "UsageSpecTelcoGSM_Year2021_002",
    "name": "UsageSpecTelcoGSM_Year2021_002",
    "description": "Description of UsageSpecTelcoGSM",
    "version": "1.0",
    "lifecycleStatus": "In design",
    "@type": "UsageSpecificationOracle",
    "@baseType": "UsageSpecification",
    "validFor": {
        "startDateTime": "2020-01-18T00:00:00.000Z"
    },
      "project": {
              "id": "BulkDocProject",
        "name": "Bulk Doc Project"
    },
    "usageSpecCharacteristic": [
        {
            "name": "StartDateTime",
            "description": "StartDateTime",
            "valueType": "DATETIME",
            "extensible": true,
            "configurable": true,
            "isInvoiceable": true,
            "isUnique": true,
            "minCardinality": 0,
            "maxCardinality": 1,
            "isServiceId": true,
            "isTransient": true,
            "regex": "mrregex",
            "validFor": {
                "startDateTime": "2020-01-18T00:00:00.000Z",
                "endDateTime": "2021-02-20T16:42:23.000Z"
            }
        },
        {
            "name": "EndDateTime",
            "description": "EndDateTime",
            "valueType": "DATETIME",
            "extensible": true,
            "configurable": true,
            "isInvoiceable": true,
            "isUnique": true,
            "minCardinality": 0,
            "maxCardinality": 1,
            "isServiceId": true,
            "isTransient": true,
            "regex": "mrregex",
            "validFor": {
                "startDateTime": "2020-01-18T00:00:00.000Z",
                "endDateTime": "2021-02-20T16:42:23.000Z"
            }
        },
         {
            "name": "ServiceID",
            "description": "ServiceID",
            "valueType": "STRING",
            "extensible": true,
            "configurable": true,
            "isInvoiceable": true,
            "isUnique": true,
            "minCardinality": 0,
            "maxCardinality": 1,
            "isServiceId": true,
            "isTransient": true,
            "regex": "mrregex",
            "validFor": {
                "startDateTime": "2020-01-18T00:00:00.000Z",
                "endDateTime": "2021-02-20T16:42:23.000Z"
            }
        }
    ],
     "meteringRule": [
        {
            "id": "TestMeteringRule48",
            "name": "TestMeteringRule48",
            "description": "TestMeteringRule483242 update",
            "roundingMethod": "UP",
            "unitOfMeasure": "MINUTES",
            "stringExpression": "endt-startt/1000"
        }
    ]
}
]

Example of Response Body

The following shows an example of the response body in JSON format.

[
    {
        "id": "UsageSpecTelcoGSM_Year2021_001",
        "name": "UsageSpecTelcoGSM_Year2021_001",
        "description": "Description of UsageSpecTelcoGSM update888",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/usageSpecifications/UsageSpecTelcoGSM_Year2021_001",
        "lifecycleStatus": "In design",
        "validFor": {
            "startDateTime": "2020-01-18T00:00:00.000Z"
        },
        "@type": "UsageSpecificationOracle",
        "@baseType": "UsageSpecification",
        "version": "1.0",
        "usageSpecCharacteristic": [
            {
                "name": "StartDateTime",
                "description": "StartDateTime",
                "valueType": "DATETIME",
                "extensible": true,
                "configurable": true,
                "isInvoiceable": true,
                "isServiceId": true,
                "isTransient": true,
                "isUnique": true,
                "regex": "mrregex",
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-01-18T00:00:00.000Z",
                    "endDateTime": "2021-02-20T16:42:23.000Z"
                }
            },
            {
                "name": "EndDateTime",
                "description": "EndDateTime",
                "valueType": "DATETIME",
                "extensible": true,
                "configurable": true,
                "isInvoiceable": true,
                "isServiceId": true,
                "isTransient": true,
                "isUnique": true,
                "regex": "mrregex",
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-01-18T00:00:00.000Z",
                    "endDateTime": "2021-02-20T16:42:23.000Z"
                }
            },
            {
                "name": "ServiceID",
                "description": "ServiceID",
                "valueType": "STRING",
                "extensible": true,
                "configurable": true,
                "isInvoiceable": true,
                "isServiceId": true,
                "isTransient": true,
                "isUnique": true,
                "regex": "mrregex",
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-01-18T00:00:00.000Z",
                    "endDateTime": "2021-02-20T16:42:23.000Z"
                }
            }
        ],
        "meteringRule": [
            {
                "id": "TestMeteringRule48",
                "name": "TestMeteringRule48",
                "description": "TestMeteringRule483242 update",
                "roundingMethod": "UP",
                "stringExpression": "endt-startt/1000",
                "unitOfMeasure": "MINUTES"
            }
        ],
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        }
    },
    {
        "id": "UsageSpecTelcoGSM_Year2021_002",
        "name": "UsageSpecTelcoGSM_Year2021_002",
        "description": "Description of UsageSpecTelcoGSM",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/usageSpecifications/UsageSpecTelcoGSM_Year2021_002",
        "lifecycleStatus": "In design",
        "validFor": {
            "startDateTime": "2020-01-18T00:00:00.000Z"
        },
        "@type": "UsageSpecificationOracle",
        "@baseType": "UsageSpecification",
        "version": "1.0",
        "usageSpecCharacteristic": [
            {
                "name": "StartDateTime",
                "description": "StartDateTime",
                "valueType": "DATETIME",
                "extensible": true,
                "configurable": true,
                "isInvoiceable": true,
                "isServiceId": true,
                "isTransient": true,
                "isUnique": true,
                "regex": "mrregex",
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-01-18T00:00:00.000Z",
                    "endDateTime": "2021-02-20T16:42:23.000Z"
                }
            },
            {
                "name": "EndDateTime",
                "description": "EndDateTime",
                "valueType": "DATETIME",
                "extensible": true,
                "configurable": true,
                "isInvoiceable": true,
                "isServiceId": true,
                "isTransient": true,
                "isUnique": true,
                "regex": "mrregex",
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-01-18T00:00:00.000Z",
                    "endDateTime": "2021-02-20T16:42:23.000Z"
                }
            },
            {
                "name": "ServiceID",
                "description": "ServiceID",
                "valueType": "STRING",
                "extensible": true,
                "configurable": true,
                "isInvoiceable": true,
                "isServiceId": true,
                "isTransient": true,
                "isUnique": true,
                "regex": "mrregex",
                "minCardinality": 0,
                "maxCardinality": 1,
                "validFor": {
                    "startDateTime": "2020-01-18T00:00:00.000Z",
                    "endDateTime": "2021-02-20T16:42:23.000Z"
                }
            }
        ],
        "meteringRule": [
            {
                "id": "TestMeteringRule48",
                "name": "TestMeteringRule48",
                "description": "TestMeteringRule483242 update",
                "roundingMethod": "UP",
                "stringExpression": "endt-startt/1000",
                "unitOfMeasure": "MINUTES"
            }
        ],
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        }
    }
]
Back to Top